Bug 20427 - Convert OPAC LESS to SCSS
Summary: Convert OPAC LESS to SCSS
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL: https://wiki.koha-community.org/wiki/...
Keywords:
Depends on: 19474
Blocks: 20554
  Show dependency treegraph
 
Reported: 2018-03-15 15:44 UTC by Owen Leonard
Modified: 2019-07-01 10:02 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 20427: Convert OPAC LESS to SCSS (154.27 KB, patch)
2018-03-16 09:45 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20427 (follow-up) Compiled CSS (96.86 KB, patch)
2018-03-16 09:45 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20427: Convert OPAC LESS to SCSS (154.45 KB, patch)
2018-03-16 12:37 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20427 (follow-up) Compiled CSS (97.00 KB, patch)
2018-03-16 12:37 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20427: Convert OPAC LESS to SCSS (154.50 KB, patch)
2018-03-20 09:28 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 20427 (follow-up) Compiled CSS (97.06 KB, patch)
2018-03-20 09:28 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 20427: Convert OPAC LESS to SCSS (154.53 KB, patch)
2018-03-30 12:14 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20427 (follow-up) Compiled CSS (97.00 KB, patch)
2018-03-30 12:16 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20427: Convert OPAC LESS to SCSS (154.59 KB, patch)
2018-03-30 13:01 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20427: Convert OPAC LESS to SCSS (154.65 KB, patch)
2018-03-30 13:02 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20427: Convert OPAC LESS to SCSS (154.61 KB, patch)
2018-07-23 17:33 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20427: Convert OPAC LESS to SCSS (154.61 KB, patch)
2018-07-23 18:53 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20427: (follow-up) Bring SCSS up to date with latest LESS changes (4.51 KB, patch)
2018-08-09 14:16 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-03-15 15:44:52 UTC
Since we're working to add SCSS to the staff client (Bug 19474), we can convert the OPAC to use SCSS too and use the same build process for both.
Comment 1 Owen Leonard 2018-03-16 09:45:55 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2018-03-16 09:45:59 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2018-03-16 12:37:04 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2018-03-16 12:37:08 UTC Comment hidden (obsolete)
Comment 5 Claire Gravely 2018-03-20 09:28:10 UTC Comment hidden (obsolete)
Comment 6 Claire Gravely 2018-03-20 09:28:14 UTC Comment hidden (obsolete)
Comment 7 Katrin Fischer 2018-03-30 11:26:51 UTC
Hi Owen, can you please rebase 19474 and this on top so I can test? Thx!
Comment 8 Owen Leonard 2018-03-30 12:14:10 UTC Comment hidden (obsolete)
Comment 9 Owen Leonard 2018-03-30 12:16:45 UTC Comment hidden (obsolete)
Comment 10 Katrin Fischer 2018-03-30 13:01:27 UTC Comment hidden (obsolete)
Comment 11 Katrin Fischer 2018-03-30 13:02:33 UTC Comment hidden (obsolete)
Comment 12 Owen Leonard 2018-07-23 17:33:36 UTC Comment hidden (obsolete)
Comment 13 Owen Leonard 2018-07-23 18:53:38 UTC
Created attachment 77193 [details] [review]
Bug 20427: Convert OPAC LESS to SCSS

This patch converts the OPAC LESS files to SCSS. In the process of
converting opac.less (and other .less files) to .scss, I have improved
the completeness of the nesting, reordered properties, and in general
done cleanup based on rules in .scss-lint.yml. All of these changes
should have no impact on the style of the OPAC.

This patch modifies the commands used to compile CSS so that OPAC and
staff assets can be processed separately:

'yarn build' <-- Builds the staff client assets by default
'yarn build --view opac' <-- Builds OPAC assets

To test, apply the patch and compile the CSS by running the command
above (or apply the follow-up patch with compiled CSS).

Do a thorough review of the OPAC, taking care to cover as many pages as
possible and checking responsive behavior at the same time. There should
be no visual differences in the OPAC before and after applying the
patch.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 14 Owen Leonard 2018-08-09 14:16:19 UTC
Created attachment 77628 [details] [review]
Bug 20427: (follow-up) Bring SCSS up to date with latest LESS changes

This patch catches the SCSS up to the latest changes in master:

Changes to opac.less:

Bug 20756
Bug 20559
Bug 7547

Changes to print.less:

Bug 16575
Comment 15 Nick Clemens 2018-08-09 15:26:24 UTC
Awesome work all!

Pushed to master for 18.11
Comment 16 Martin Renvoize 2018-08-10 08:22:56 UTC
Enhancement, this will not be backported for the 18.05.x series.